Subject: Bug#628678: lintian: please check that setup.py and debian/changelog have same version

From: Lars Wirzenius <[email-masked]>
Date: Sat, 4 Jun 2011 23:15:59 +0100

On Sat, Jun 04, 2011 at 10:57:20PM +0200, Niels Thykier wrote:
> Personally I feel that running setup.py code inside the package is a
> "no-go" for Lintian;  perhaps there is another way we can "trivially"
> extract it from setup.py?

Not running code is a very good point. Unfortunately, there is no
other portable way, since the setup.py code may be executing code
to extract the version number from elsewhere (and frequently does,
for my own packages: "import foo" and then using foo.__version__
for the version number).

So I guess this is not an appropriate check for lintian after all.

-- 
Freedom-based blog/wiki/web hosting: http://www.branchable.com/